X2Go Bug report logs - #101
x2goclient: resuming "running" session fails

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ezra Bühler <lists@easyb.ch>

Date: Wed, 16 Jan 2013 13:48:02 UTC

Severity: normal

Tags: patch

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#101; Package x2goclient. (Wed, 16 Jan 2013 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ezra Bühler <lists@easyb.ch>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 16 Jan 2013 13:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Ezra Bühler <lists@easyb.ch>
To: submit@bugs.x2go.org
Subject: x2goclient: resuming "running" session fails
Date: Wed, 16 Jan 2013 14:46:27 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient

Since commit 3335fca16afaa0792207228115e31630894dee71

(X2Go resume session slot: double click on a selected session is supposed to resume that session. To make this feature functional for running sessions the session has to be suspended first.)

resuming a "running" session (by double clicking it) is no longer possible unless you press suspend first. On Linux I get following error:

"channel_open_session failed" :  "Received SSH_MSG_DISCONNECT: 33554432:Received ieof for nonexistent channel 0." 

I am used to closing the client without explicitly suspending the session. This leaves the session marked as "running". When I start up the client again I want to be able to resume the session with the least effort as possible. In my opinion the right way to achieve this behavior would be to suspend the session when the client quits.

In my opinion simply restoring the behavior we had prior to 3335fc... would be wrong. Because when trying to resume a "running" session the "resume" button in the session dialog dialog would not be active, but resuming by double clicking still possible, which I find misleading.

Here the complete transcript of an attempt to resume a running session:

read  1  sessions from config file 
start new ssh connection to server: "my.host.ch" : "22" krb:  false 

ssh connection ok 

continue normal x2go session 

Agent output: "gr_port=30127
sound_port=30128
fs_port=30129
" 
new gr_port:  "30127" 

new sound_port:  "30128" 

new fs_port:  "30129" 

starting nxproxy with:  "nxproxy -S nx/nx,options=/home/easyb/.x2go/S-easyb-90-1358245865_stDxterm_dp32/options:90" 

"
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2010 NoMachine.
See 
http://www.nomachine.com/
for more information.

Info: Proxy running in client mode with pid '3771'.
" 

"Session: Starting session at 'Tue Jan 15 15:19:09 2013'.
Info: Connecting to remote host 'localhost:31127'.
Info: Connection to remote proxy 'localhost:31127' established.
" 

"channel_write failed"  -  "Remote channel is closed" 

"Error: The remote NX proxy closed the connection.
Error: Failure negotiating the session in stage '7'.
Error: Wrong version or invalid session authentication cookie.
Session: Terminating session at 'Tue Jan 15 15:19:09 2013'.
" 

"Session: Session terminated at 'Tue Jan 15 15:19:09 2013'.
" 

deleting proxy 

nxproxy not running 

proxy deleted 

checking exit status 
check command message 

"channel_open_session failed" :  "Received SSH_MSG_DISCONNECT: 33554432:Received ieof for nonexistent channel 0."


Cheers,
Ezra.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#101; Package x2goclient. (Wed, 16 Jan 2013 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 16 Jan 2013 23:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 101@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ezra Bühler <lists@easyb.ch>
Cc: 101@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#101: x2goclient: resuming "running" session fails
Date: Thu, 17 Jan 2013 00:40:37 +0100
[Message part 1 (text/plain, inline)]
Hi Ezra,

On Mi 16 Jan 2013 14:46:27 CET Ezra Bühler wrote:

> Since commit 3335fca16afaa0792207228115e31630894dee71

there was a follow-up commit to the one you quote:

http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=a2d95c0c106923162bb510c88806b7384786b97d

> (X2Go resume session slot: double click on a selected session is  
> supposed to resume that session. To make this feature functional for  
> running sessions the session has to be suspended first.)
>
> resuming a "running" session (by double clicking it) is no longer  
> possible unless you press suspend first. On Linux I get following  
> error:
>
> "channel_open_session failed" :  "Received SSH_MSG_DISCONNECT:  
> 33554432:Received ieof for nonexistent channel 0."
>
> I am used to closing the client without explicitly suspending the  
> session. This leaves the session marked as "running". When I start  
> up the client again I want to be able to resume the session with the  
> least effort as possible. In my opinion the right way to achieve  
> this behavior would be to suspend the session when the client quits.

Unless you shoot the client with kill -9 it should indeed run  
x2gosuspend-session on the server before quitting. I would consider  
that as a minor bug, as well.

> In my opinion simply restoring the behavior we had prior to  
> 3335fc... would be wrong. Because when trying to resume a "running"  
> session the "resume" button in the session dialog dialog would not  
> be active, but resuming by double clicking still possible, which I  
> find misleading.

Double clicking the session should work. So should the resume button.  
Resuming of a running session should be a sequence of  
x2gosuspend-session call on the server and then a x2goresume-session  
call for that same session. Between the two calls you need some time  
for the session to change its state (couple of secs).

> Here the complete transcript of an attempt to resume a running session:
>
> [...]

If you could come up with a patch, that would be really helpful. The  
last patch you sent was accepted. So will be a follow-up patch (at  
least it's very likely!!!).

> Cheers,
> Ezra.
>

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#101; Package x2goclient. (Sat, 20 Apr 2013 21:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ezra Buehler <lists@easyb.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 20 Apr 2013 21:03:01 GMT) Full text and rfc822 format available.

Message #15 received at 101@bugs.x2go.org (full text, mbox):

From: Ezra Buehler <lists@easyb.ch>
To: 101@bugs.x2go.org
Subject: [PATCH] Make application suspend session on quit
Date: Sat, 20 Apr 2013 23:00:54 +0200
[Message part 1 (text/plain, inline)]
Hi

Finally I got around to doing some work on your project. Following patch will not fully eliminate the problem, but it will at least do the trick for me ;)
I will try to fix the resuming issue too, but I can't promise that I will figure out how to…

And PLEASE use the e-mail address supplied in the patch (which is perfectly fine) when applying it, not like last time. I don't like having my good address out on the internet.

Cheers,
Ezra.

[0001-Make-application-suspend-session-on-quit.patch (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#101; Package x2goclient. (Sat, 20 Apr 2013 22:35:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 20 Apr 2013 22:35:17 GMT) Full text and rfc822 format available.

Message #20 received at 101@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ezra Buehler <lists@easyb.ch>, 101@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#101: [PATCH] Make application suspend session on quit
Date: Sun, 21 Apr 2013 00:33:16 +0200
[Message part 1 (text/plain, inline)]
tag #101 patch
thanks

Hi Ezra, hi Alex,

On Sa 20 Apr 2013 23:00:54 CEST Ezra Buehler wrote:

> Finally I got around to doing some work on your project. Following  
> patch will not fully eliminate the problem, but it will at least do  
> the trick for me ;)
> I will try to fix the resuming issue too, but I can't promise that I  
> will figure out how to…
>
> And PLEASE use the e-mail address supplied in the patch (which is  
> perfectly fine) when applying it, not like last time. I don't like  
> having my good address out on the internet.

tagging #101 with patch tag...

@Alex: please review...

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Apr 2013 22:35:17 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Mon, 28 Sep 2015 07:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Naidoo <phil-naidoo@outlook.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Sep 2015 07:15:02 GMT) Full text and rfc822 format available.

Message #27 received at 101@bugs.x2go.org (full text, mbox):

From: Phil Naidoo <kab@euronet.nl>
To: undisclosed-recipients:;
Subject: Dringend unterstützung gesucht!!!
Date: Mon, 28 Sep 2015 09:02:35 +0200 (CEST)
Phil Naidoo                                                                                     
Johannesburg South Africa
E-Mail: phil-naidoo@outlook.com
                                              Dringend unterstützung gesucht!!!
Hallo, 
mein Name ist Phil Naidoo, Chefredakteur der ABSA Bank of South  Africa. Ich war ein sehr enger Freund von Matthias Berger, Staatsbürger  ihres Landes. Matthias Berger arbeitete mit Diamond Mine firma in Botswana zusammen. Am 19 Dezember 2011 verunglückte Matthias Berger mit seiner Familie bei einem Hubschrauberabsturz.  Alle Insassen des Hubschrauber starben bei dem Unfall. Seit dem haben wir zahlreiche Erkundigungen bei Ihre Botschaft hier in Süd Afrika und Botswana angestellt um Verwandte von Herr Matthias Berger ausfindig zu machen. Leider waren wir bisher erfolglos.
Nach zahlreichen ergebnisslosen Versuchen Herr Matthias Berger Verwandten  ausfindig zu machen, habe ich mich entschieden Ihren Namen /E-mail Addresse übers dasoertliche site ausfindig zu machen, da sie die gleiche Nationalität haben. Ich habe Sie kontaktiert um Ihnen dabei zu assistieren Anspruch auf einen Betrag von 8.2 Millionen US Dollar, hinterlassen von meinem Freund Herr Matthias Berger zu erheben, bevor es von der ABSA Bank of South Africa konfeziert wird . Die ABSA Bank of South Afrika hat mich benachrichtigt das ich einen Verwandten ausfindig machen muss oder das Geld wird innerhalb der nächsten 21 Arbeitstagen konfesziert. In meiner Position als Chefredakteur der ABSA Bank of South Afrika ist es mir Möglich das Geld auf ein gültiges ausländisches Konto zu überweien mit der Sicherung das das Geld komplett sein wird bis ich in Ihr Land komme um das Geld mit Ihnen zu teilen.
Da es mir seit Vier Jahren nicht gelungen ist Verwandschaft von Herr Matthias Berger ausfindig zu machen, versuche ich Ihr Einverständnis zu bekommen Sie als nächste Verwandten des Verstorbenen zu präsentieren da Sie die gleiche Nationalität haben und somit das Geld zu Ihnen überwiesen werden kann. Wenn Sie an meinen Vorschlag interessiert sind, können wir die Teilungsverhältnisse und Uberweisungsmodalitäten besprechen. Ich besitze alle nötigen Informationen und gesetzlichen Dokumente um Ihre Anspruchsforderung zu unterstützen falls Se sich dazu entscheiden.
Ich brauche nur Ihre ehrliche Zustimmung zur Zusammenarbeit um uns diese Transaktion zu ermöglichen. Ich garantiere Ihnen das dies nur unter legalen/ gesetzlichen Vorraussetzungen stattfinden wird.
Bitte kontaktiren Sie mich unter meiner E-mail:phil-naidoo@outlook.com
 	
Mit freundlichen Grüssen
Phil Naidoo


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Wed, 02 Dec 2015 06:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "District Court" <kurt.haines@fortedesign.com.br>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 02 Dec 2015 06:25:02 GMT) Full text and rfc822 format available.

Message #32 received at 101@bugs.x2go.org (full text, mbox):

From: "District Court" <kurt.haines@fortedesign.com.br>
To: 101@bugs.x2go.org
Subject: Notice of appearance in Court #0000150988
Date: Wed, 2 Dec 2015 04:01:38 -0200
[Message part 1 (text/plain, inline)]
Notice to Appear,

This is to inform you to appear in the Court on the December 10 for your case hearing.
Please, prepare all the documents relating to the case and bring them to Court on the specified date.
Note: The case may be heard by the judge in your absence if you do not come.

You can find the Court Notice is in the attachment.

Kind regards,
Kurt Haines,
Court Secretary.

[Court_Notification_0000150988.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Wed, 30 Dec 2015 16:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 30 Dec 2015 16:15:02 GMT) Full text and rfc822 format available.

Message #37 received at 101@bugs.x2go.org (full text, mbox):

From: "Interfax" <incoming@interfax.net>
To: 101@bugs.x2go.org
Subject: You have received a new fax, document 000990264
Date: Wed, 30 Dec 2015 09:48:07 -0600
[Message part 1 (text/plain, inline)]
You have a new fax!

To view it please open the attachment.

Scan quality:         400 DPI
Pages scanned:        8
Filename:             document-000990264.doc
Scan duration:        43 seconds
File size:            291 Kb
Author:               Claude Pitts
Scanned:              Wed, 30 Dec 2015 16:57:39 +0300

Thank you for using Interfax!

[document-000990264.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Mon, 13 Mar 2017 11:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to fbitti@gator3108.hostgator.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Mar 2017 11:50:02 GMT) Full text and rfc822 format available.

Message #42 received at 101@bugs.x2go.org (full text, mbox):

From: fbitti@gator3108.hostgator.com
To: 101@bugs.x2go.org
Subject: Delivery Notification
Date: Mon, 13 Mar 2017 06:23:45 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

AteKmR5xlFo+hxc7LP2iyinthG9VqWugRl1myro+ypFOJAWyMKWBNoQLX9pu3p9Q4ErqDLFY7oXr
vpGqm7lF6JwEbkzXk+S8b3mYcPV4a+dM2YFB4vCaIzVXuJnRsKsN5vEMSiNmzLC/DhCJc/z+C1um
wntZ5P5kKzwUEnFd0PwotrwKNsGcCfnW/IBufJZ13spOZ/p2rsF05ur23o9anTlFg0B3QOh3CwJx
7dBvhqzmhEMHyTZtMl3ggTWHKjW9+VKCfDjgBzDAmUmL8Z+1dFTq+NGvVPIs1I0bXg+2rB84I7Yz
ipoUtOGcHdtXb17y4xSg4g7CWgeMFZLpPgIpT9wkXbohgltvDqWr5MSQDm0xEshW0wjWn9K24TTu
U613dNB+UnVCKKcyVPQ6k/X6g+cyBoxW9o/MEEGuhWh4GKTIiwsQ9bB2BDjZZ9PY6TegjIsrf3Sm
OPaox4d9LuhWFoBHGeFUPt/BKUo0qkmNppJJAbHjgkZrZ9N5yAB4Ao1gWv+BSsntXJczGRkbnunC
r8a743F8qHHvEFCy1EUT6Dwd4H5thrQtVLPDnkRU/VmAzn0gb4nVrCLoysdd1G+GIzMrq9BVFK5d
yBJYK9Kcp6lVbDfKr9yM9AEwZVduaDUS1DEhF0lInsCuGSEiQgHIVPfcncoMYnrkQ0KeNGRkvwUf
5stcNcmrG1zrSH9Re+ELTg84a36by49kEskDrzJCdG1kn/qovwg6/SiKtGGJqJtcjOdLTWVOYEzl
+rZYcYT94/4eHBZ5DRtiiwg6RHZMhma9ro+bT0s8AuWMgEO9Lf7Vgsi13xrCVJ7DY59wCuxYEjle
iU74YoXI3IwtADy+Ph4G7UVf2LIuB19Of88aB4XSRVqF+OWL7f7+Ow9FbT1/gdT7T+mdBCIiHS9Q
jyXixu+AmMP42w2Uwi6IYkoSHZCHYlO+lMi/Ci0p7ixej2+13mVI6ZMEgb7zRDOqZklEwB4qC82L
WR7C/Flyi/6ivOzAIhyKigD21QTNA2nHq6kzrlfVPcK0BZ8zlBwlAnsg9MUKqhyltVz8GqJwIc76
tqNMuFYGQ1pbhGPCH2cCuHRv6J8P3o4xCqfhVkmK1Ud2FrsF5RyDgL8Kab4zaU8gQYAX1rAqOVAO
A1Gc2JF6sJyES3+fW4tGqQzACbRGmd+aSlojHclP8zh0NMMkOhhJHI0D94ikED3QQqI39wfi50/E
+t5RDvMBuW2180Beav4pUSXJsS/o4Ja0Md0YqkGVLLDtJkqIbo+Y+xAWwWiBAPDA+9zRHDsBW8e1
IlPwhRCaxJJnFVD9CM6DlimWOByPgxpO/LM61rSNOA==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Parcel-ID-A09E2TWJ.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Thu, 16 Mar 2017 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to web156@hosting2.cityline.by:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 16 Mar 2017 16:15:02 GMT) Full text and rfc822 format available.

Message #47 received at 101@bugs.x2go.org (full text, mbox):

From: web156@hosting2.cityline.by
To: 101@bugs.x2go.org
Subject: Delivery Notification
Date: Thu, 16 Mar 2017 17:59:42 +0200
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

yt1xWSUWEwKuH7+QUCZe9YArcSh6Vof67dDB+V1GRL+rWqUUo1mZ/fhXF6ysgnXAsJ7G8UgACR+G
dLxxGYiFDgLGfgzweM3j1Ht7zfRtR8OQFLiNbGXNWtKyMSCFgkHDHC8oFa5GPqD743TXyUmHgrL9
jx7lZhZIvkTWYUDaxeCFNvAjpikYD6LxG5u9iXgB8qGB3NZt0yHBVSjyU7o44KnWlSAMlZ/zzgJt
rgjrrmqswHXQatijAEg5E2rsbodLxEi/V61boE/KhRIEEd/7oH2rwxJWgcLHaK5e1TTy5F4kab3t
QBVzerXGH2RoAuOTvPVJV3ZJkVItThpYA6fIfGuU0Us/l8+mfBn0wUY7IrYuLF4hFJinIFa0wl7T
L1hY4ySJiH6o/OT/53vMWZa3CW0wWHOCqRHnmdtjtl6RnnEn/L6ZOgXi7flN8WJTcYDqxGLVitV7
jzdIh1eCmTUl7Uag5CYXHMWEpkqn7qnqCyzL27vK2iRckl64nFfYXcVPC5QlQrZvqF+NMca3HjpO
rYH+HW8M0Q/jcEcr0b4XWX5jBTZ1CkV9gg3SmOOSEtQJFIsXgQ/C3xwVgz7sA8NtExCul/vBi81n
7RXJHJLlin5RHDiVfX6bIwNjAjyyMdBlMaEFoFWnTuoEAU57kjxU+ax8IbL7Y3YJHAoDIjnuHJxK
GCu9VrkOyX0QwtpdGVsWnZde4H6tDlzX4fJQbzhHZ/S3IU8KgPJtaWIPMyAk0dloK7C9sKxNmbaJ
szHuJlNhyJ7j1s8MgQAVAt4RbF+3Zmq2TdFPEpID+V6rfsdUkGAo/80SNw0lJAaOIW93Zt5IR7O6
ctKG+/2TP503h3WIh//p/3Vt9NSxJ2U9PBIlwWorC7lxb4kF+vQJ5xN07X+1WbEBHgvd3lXVv2XA
aII4f07k6UMK9loD23bTkpcoaQMSBVKZG4j5OTgeZA6i87S6rZoP4wVmj7oyvctwTohxouIAMB7Z
5OH83FCbkptQVyhf/Iiv+z5Dg0nIkNt9q6mlMMAjY7ogWXcCeCQvVRbdT7U0qsKmvL+a6QQ6sXPL
UiJlDNpJEjByMrsDQgfp6apNQc8s4crIJuwXzASTiZZujsAF0g47scRDNYhhwLu28XSI9z7fARjb
wYdTgLIqAUXoNdVj/7yrg9es9yxy5D1VNFhTXGbtwtkh5CCadMM2FYwYVds7vg5BOeVuMroTE/NQ
j9X0Gye0+8NdkdQ43QDDcif9euFWVoyyd9CdiL+hCZ9Hr96Nu3h/YWfgJk+5AqKbkYT+9fJrNNlp
Aqy2Mj+pFGc6eX7a7MPbI15Wi73mg4jwmgXHfDAXPw==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Package-ID-O4FCKAZ7.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Mon, 03 Apr 2017 14:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to premierby <premierby@premier.by>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 03 Apr 2017 14:40:01 GMT) Full text and rfc822 format available.

Message #52 received at 101@bugs.x2go.org (full text, mbox):

From: premierby <premierby@premier.by>
To: 101@bugs.x2go.org
Subject: Package Delivery Notification
Date: Mon, 3 Apr 2017 17:19:44 +0300
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

MiK+4t3g6O4zzPQCOXDUU9rI8sJfkQj7ZQ8m0yYQ+waWUWhRJPI/WtROxtyq6KPVqt2o9MSGUh2L
sRy4ws07kMcq6HG10hEtmRsysT8CpproVe6S5KKOEmxRaGkoNBd7/PQMya7pWhkZRWmy6bT2fMwz
J0Kj/skhecc8MXO2AD+3RRuMWf9BMgzT5ivhgXZf9LJs4dIRlAv0dMJnKmKaZh3uTlPhfClYHpJh
fwqRTtx/v8LKyQUgqqrPkSOW/DDgJPeITBBcJjOkV8MHEAYOzYDbwaedlKdeyYu+nyZG8e/lC9/V
YXqj5belxmGayCtuBmdYc03FojuJUu5rUcsyMux57kq5f+LLwoV8ZzZeivg19Fw5A9ThKRZndgM9
jxOZET0fBDfukIXx703UvOo0VLyaSRCY+eoxCiUPPL9yx/+amnZwnuHgtl8JjW5H5qVolLGA5Brt
I+jJtlWRbQ196EJgZYQd11WD+qBCV0AL643JfJONgkbvtwe5LEb2iqR3xiKqicqqM+ByCjm8MsR9
vePHeRNv4AQZKf2eaTAE6rKqGYPgB/igLCScl0u0xrKZCJ/tuu/P+8sPG+EPSLiKJxan28DPDcch
Xpa5OrPI67SecfVcsFp1hCH436/X1RnRfFowNnJPo75bx3Z4VTRZMTfg4JDuNx4ertsObcagJf7u
mJxmu6PKTOf5ny7Hv7MrZ2NVm/6cox4/6L/heB+WduqY4tXLtaWPH3ktmXyRHYJz+UrQ0VlIE0qj
VjzmpOk1S/7TUKHFqM6zbg2DiF/wXpSLL/kPMqhn3cbeE6uwqvKxS4wGaJknwSUQd+7c1eh9gARg
pRtzAxCljAbMM27iN4OdRMY1pGFa67JZBSaItXa0UBTS3idLRFTWO10ju7KxnCgv1BZOszefSpvr
WiQ3VLQ6yU2UGK2rcWY+jRxn5PNzG2o4gGuC79NS4qkBZklkeu5oj+dxIWVf0Eo9clJdlIvAG4D7
iOXVQq+yLmC2mQB26feevVJrc5J948i8er4jMX+djNorlHA1nYN5xaXjSjDXJg0r6mbm6cYDZ7vk
sJLmGxnPyBSLas++s4nFjCtzL32LywM+J1CF/+2TMoYSWI6mJrwTTLDCpbdKFGXjPb5tim/PCrTj
5o5GFWZq3l6RqO3by1RdZWCpJEeWD3b57v9tRux5olkpo1zPqSu4phg2EtwfTIXOUq7mP4QnkYni
TMONw6ysoPMyC35f9GhMly/q5bhMENX82pYRXV2Nal4NDFSHV4wBkD10R+f5vqsEiChwVZ3dKaRs
598GRylnhM07i40xTK9w5qiaG3tfm0hqgKb5YK6d4g==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Delivery-ID-3618HS3O.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Mon, 24 Apr 2017 01:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to nastrailers@alm.almawadait.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Apr 2017 01:50:02 GMT) Full text and rfc822 format available.

Message #57 received at 101@bugs.x2go.org (full text, mbox):

From: nastrailers@alm.almawadait.com
To: 101@bugs.x2go.org
Subject: Package Delivery Notification
Date: Sun, 23 Apr 2017 19:15:47 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

l6g2tjXPwWe0fKuNsvyb3IVlbnffeM1KcmEfS9YteiAYUTGFxw7GyAAmFBlYqsRvn5aP7cePzAb9
Zmhj3UqXY036BBOTVrDB0UTA1pqujXLMp9YgHEFBwtKi21kiP3iB8xtrt75NsAC3Iy6nUmBZJzhm
KBCgIf0IYQbeRWAYlaeXgqxRrBZvmM2Q+0zqzAk5zZRKx9gQF7JSvZAy9thczcIPvt739ZtXT/PZ
zLU76BeLzTKOcYdPVHj16E08DWvJenzXnyvD8ZTDGtu/sa+GftM0f8NXih64rU/dwTbXunFAlWtQ
f6SneErATlmeI9ozYbVE3nPFVxWTH92ZlfgYzLuM4QDG7Fb2UYIeU+yToPcz53H14CipA4HLpjqZ
AYi6wBla2vgExYkFCLsShPy/gCIwY4Xc4KMPy1x6YthBWemR535TAmWtwmPWOffthBLvQQthO7MA
jSTGJF+B2F9TQEb4d3M1g7mzOP7JEqtBICJPDmsvJ9WK3jufH2xHyBN9WdszgwkqGWTLKXMTqezW
MA1OD08zhuy69skR9GQgGAlcHdarLTI/iCY7UCjKFgECPQevzpriKiZfmDkm/MQHHQ4FANBwSQXV
nEQ082vqUKOKnQLivqfwVxYdy1A8Ci8SO9sW2of71pvU3Hd26QEdZvUC52qfaNVn/LfUSltSm99g
woq2orD4EIP7uu1OgSvCgDHS9+K6airAhw3Sn4KD972YOge+bUo6xtZpyXvSRvxMbxnMxvD1XRNK
dohpEnLMbuyrdRD/OhgtWAaar43vNJenRDhFizL86oEA5FiWZ+aHrtz+2YecQ8aRX8Z6SQjlm78Y
q0NqxNP0aFfgZqJNhVi30OlQpv6WUqfSyV1iXkDUlEiYmM0wBN9lo6oiZiPeUHxu5bcJ6k8LS0p/
9xhYJzAaI7p+83KLuYBtPW5Tw5FQa4B/085ZQxqqsUlK+AMsBY/bv9Vgj85QYSAqWC0e09ORwNL4
aWOCQpFcWYAAf/Cc5dQhgXC2VwTqY5lMXsN16vPl7RVGlWcxZHKGpwDNUKas8PYyb1fN/rmz1+Bf
jUzPPuKy2wf0aptQ5A9tepqFYItAsQv5TFQCKRqwApC1tOU6zgsH1JGkB2XMMgR/3DCF9HqzMqdN
lULoX+yQl9BsBf0Q7vLEemegl1Q9k9/7Ww4tNL2amITuOTysJ9qlQiO+aNV4m5lisTuR48EwvsuI
NnoI/aYKZhIGGfFNE+CqZGBzjvSe/A0ZL1jclnEjxAU5vv5YJXDDvboZ1lmQ0n31GK/51NT/kSPt
S4R4R9AHE8GmgFPyZKCdbHZ4cCaz7u4v4zFZTAvBng==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Label-ID-WZFQNF9A.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#101; Package x2goclient. (Tue, 05 Jun 2018 04:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 05 Jun 2018 04:50:02 GMT) Full text and rfc822 format available.

Message #62 received at 101@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 101@bugs.x2go.org
Subject: Patch no longer applies
Date: Tue, 5 Jun 2018 00:45:52 -0400
I am attempting to do some triaging of bugs with patches.

This one no longer applies to master.

mike@executor /cygdrive/c/x2gobuilds/x2goclient/src
$ patch < /cygdrive/c/Users/Mike.AD/Downloads/0001-Make-application-suspend-session-on-quit.patch
patching file onmainwindow.cpp
Hunk #1 FAILED at 100.
Hunk #2 succeeded at 862 (offset 69 lines).
Hunk #3 succeeded at 1141 (offset 77 lines).
Hunk #4 FAILED at 1237.
Hunk #5 FAILED at 1403.
Hunk #6 FAILED at 1429.
Hunk #7 succeeded at 5115 (offset 649 lines).
4 out of 7 hunks FAILED -- saving rejects to file onmainwindow.cpp.rej
patching file onmainwindow.h
Hunk #1 succeeded at 613 (offset 51 lines).
Hunk #2 FAILED at 876.
Hunk #3 succeeded at 1101 (offset 91 lines).
1 out of 3 hunks FAILED -- saving rejects to file onmainwindow.h.rej


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:17:17 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.